<?php

/*
------------------------------------------------
AlphaCMS - универсальный движок для вашего сайта
E-mail администрации проекта: adm@alpha-cms.ru
Официальный сайт поддержки: alpha-cms.ru
Руководитель проекта: adm (ID 1)
------------------------------------------------
*/
  
FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../../system/connections/global/$connect.php"); 
  
}

ACCESS('users');

HTML::TITLE('Кабинет'); 

REQUIRE (ROOT.'/system/connections/header.php');

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Кабинет')."";
ECHO "</div>";

//Пользователь
REQUIRE (ROOT.'/users/cabinet/plugins/user.php');

ECHO "<div class='list-body'>";   

$result = SCANDIR(ROOT.'/users/cabinet/components/', SCANDIR_SORT_ASCENDING);

FOR ($i = 0; $i < COUNT($result); $i++){
  
  IF (PREG_MATCH('#\.php$#i',$result[$i])){       
    
    REQUIRE (ROOT.'/users/cabinet/components/'.$result[$i]);
  
  }

}
  
ECHO "</div>";

//Меню
REQUIRE (ROOT.'/users/cabinet/plugins/menu.php');

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Кабинет')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');

?>